Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1029507 - PRD35 - [RFE] Provide Virtual Appliance for RHEV-M
Summary: PRD35 - [RFE] Provide Virtual Appliance for RHEV-M
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhevm-appliance
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Fabian Deutsch
QA Contact: Petr Kubica
URL: http://www.ovirt.org/Feature/oVirtApp...
Whiteboard: node
Depends On: 1053435 1125141 1138651
Blocks: rhev3.5beta 1156165 1190655
TreeView+ depends on / blocked
 
Reported: 2013-11-12 14:02 UTC by james labocki
Modified: 2018-12-09 17:20 UTC (History)
21 users (show)

Fixed In Version: vt3
Doc Type: Enhancement
Doc Text:
This feature adds a virtual appliance, which can be used to quickly set up a pre-installed and partially pre-configured image of Red Hat Enterprise Virtualization Manager. The image is available for download as either a raw disk or an OVA file. The following command can be used inside the image to finish the site-specific configuration: $ rhevm-setup --offline --config-append=rhevm-setup-answers
Clone Of:
: 1190655 (view as bug list)
Environment:
Last Closed: 2015-02-25 11:19:17 UTC
oVirt Team: Node
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0213 normal SHIPPED_LIVE rhevm-appliance bug fix and enhancement update 2015-02-12 01:34:24 UTC

Description james labocki 2013-11-12 14:02:15 UTC
This is a RFE to provide RHEV-M as a virtual appliance deployable on RHEL/KVM, RHEV, vSphere, or RHELOSP. This will allow users to gain access to RHEV-M faster who have no knowledge of Red Hat Enterprise Linux, RHN, channels, etc.

Comment 1 Itamar Heim 2013-11-12 17:25:13 UTC
lets start with a kvm based one for virsh and hosted engine...

Comment 3 Sandro Bonazzola 2014-07-22 12:16:54 UTC
assigning to fabian, assignee of the upstream bug, and node whiteboard

Comment 6 Fabian Deutsch 2014-09-05 13:20:27 UTC
Inside the appliance run:

$ rhevm-setup --offline --append-config=rhevm-setup-answers

or if registered with RHN/SAM:


$ rhevm-setup --append-config=rhevm-setup-answers

Comment 7 Eyal Edri 2014-09-10 20:21:56 UTC
fixed in vt3, moving to on_qa.
if you believe this bug isn't released in vt3, please report to rhev-integ@redhat.com

Comment 14 Fabian Deutsch 2014-10-24 13:52:33 UTC
Hey,

the assistant is shown on the serial console. We might want to change that.

If possible change your display to the serial console to complete the firstboot assistant.

Comment 15 Petr Kubica 2014-10-24 16:19:27 UTC
Ok, thank you.

I have another problem..
It give me an error:

[root@localhost ~]# rhevm-setup --offline --append-config=rhevm-setup-answers
FATAL: Invalid option '--append-config=rhevm-setup-answers'
[root@localhost ~]# ls
rhevm-setup-answers

Comment 16 Fabian Deutsch 2014-10-24 17:39:18 UTC
Actually tzhe other way round:

$ rhevm-setup --offline --config-append=rhevm-setup-answers

$ rhevm-setup --help

Comment 17 Petr Kubica 2014-10-27 14:36:50 UTC
Verified in rhevm-appliance-20141006.0-1
Successfully installed rhevm 3.5.0-0.13.beta.el6ev with command
rhevm-setup --offline --config-append=rhevm-setup-answers

Comment 18 Fabian Deutsch 2014-10-27 16:33:00 UTC
Nice!

Comment 20 Doron Fediuck 2014-12-07 15:02:54 UTC
Fabian, can you please provide the relevant doc text?

Comment 22 errata-xmlrpc 2015-02-11 20:39:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0213.html

Comment 25 Joey Boggs 2015-02-24 13:54:26 UTC
Released to the 3.5 channel in the downloads section:

https://rhn.redhat.com/rhn/software/channel/downloads/Download.do?cid=24821

Comment 26 Julie 2015-02-24 15:30:21 UTC
(In reply to Joey Boggs from comment #25)
> Released to the 3.5 channel in the downloads section:
> 
> https://rhn.redhat.com/rhn/software/channel/downloads/Download.do?cid=24821

It says download not found..

Comment 27 Doron Fediuck 2015-02-25 11:19:17 UTC
Marina,
if there's a distribution issue please open a BZ on distribution.
The RFE itself is closed.


Note You need to log in before you can comment on or make changes to this bug.